package com.gh.gamecenter.entity

import com.gh.gamecenter.login.entity.Auth
import com.gh.gamecenter.login.entity.Badge
import com.google.gson.annotations.SerializedName

data class FollowersOrFansEntity(
    @SerializedName("_id")
    val id: String = "",
    val icon: String = "",
    val name: String = "",
    var introduce: String? = "",
    val count: Count = Count(),
    val me: MeEntity = MeEntity(),
    val auth: Auth = Auth(),
    val badge: Badge? = null,
    @SerializedName("icon_border_url")
    val border: String = ""
) {

    data class Count(
        val vote: Int = 0,
        val answer: Int = 0,
        val fans: Int = 0
    )

}

